Bug 531660 (CVE-2009-3722) - CVE-2009-3722 KVM: Check cpl before emulating debug register access
Summary: CVE-2009-3722 KVM: Check cpl before emulating debug register access
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3722
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karen Noel
QA Contact:
URL:
Whiteboard:
Depends On: 531661 563516 563517 563934
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-29 03:09 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:33 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-20 12:18:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0126 normal SHIPPED_LIVE Important: kvm security and bug fix update 2010-03-01 19:23:38 UTC
Red Hat Product Errata RHSA-2010:0172 normal SHIPPED_LIVE Important: rhev-hypervisor security and bug fix update 2010-03-24 15:46:46 UTC

Description Eugene Teo (Security Response) 2009-10-29 03:09:31 UTC
Quote from the upstream commit:
Debug registers may only be accessed from cpl 0.  Unfortunately, vmx will code to emulate the instruction even though it was issued from guest userspace, possibly leading to an unexpected trap later.

Introduced in v2.6.30-rc1; Fixed in v2.6.32-rc1.

http://git.kernel.org/linus/0a79b009525b160081d75cef5dbf45817956acf2

Comment 3 Eugene Teo (Security Response) 2009-10-29 03:22:20 UTC
None of our kernels is affected by this vulnerability. Closing this bug as NOTABUG.

Comment 4 Chuck Ebbert 2009-10-29 11:29:06 UTC
Also fixed in 2.6.30.9 and 2.6.31.1

Comment 5 Avi Kivity 2010-02-10 13:35:13 UTC
The kvm package in RHEL 5.[45] is in fact vulnerable.

Comment 9 errata-xmlrpc 2010-03-01 19:23:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0126 https://rhn.redhat.com/errata/RHSA-2010-0126.html

Comment 10 errata-xmlrpc 2010-03-24 15:47:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Virtualization for RHEL-5

Via RHSA-2010:0172 https://rhn.redhat.com/errata/RHSA-2010-0172.html

Comment 11 Avi Kivity 2010-12-22 09:55:42 UTC
Should this bug be closed?


Note You need to log in before you can comment on or make changes to this bug.